# Uses of Enum Class
com.google.protobuf.Extension.MessageType

Packages that use Extension.MessageType
Package
Description
com.google.protobuf

## Uses of Extension.MessageType in com.google.protobuf

Methods in com.google.protobuf that return Extension.MessageType
Modifier and Type
Method
Description
`Extension.MessageType`
Extension.`getMessageType()`
If the extension is a message extension (i.e., getLiteType() == MESSAGE), returns the type of the message, otherwise undefined.
`static Extension.MessageType`
Extension.MessageType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Extension.MessageType[]`
Extension.MessageType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.